SWAB(3)

NAME
swab - swap adjacent bytes

SYNOPSIS
#include <unistd.h>
void
swab(const void *src, void *dst, size_t len);

DESCRIPTION
The function swab() copies len bytes from the location referenced by src to the location referenced by dst, swapping adjacent bytes.

The argument len must be an even number.

SEE ALSO
bzero(3), memset(3)

HISTORY
The swab() function first appeared in AT&T UNIX.